######################################################################
#
# FSP3000R7 wavelength designators.
# See FSP3000R7_R10.1_Module_System_Specification_IssD.pdf
# 'Introduction' section for the confusing list of channels
#
# Copyright (C) 2011 Russell Dwarshuis, Merit Network, Inc.
#
# This program can be used under the GNU General Public License version 2
# You can find full information here: http://www.zenoss.com/oss
#
######################################################################

__doc__="""FSP3000R7Channels

A class with constants for the wavelength designators in use in the FSP3000R7.
See FSP3000R7_R10.1_Module_System_Specification_IssD.pdf for more
information.  Empty strings are used for undefined designators.  
Tuples are parallel.

"""

class Channels:
    # in Terehertz
    dwdm_frequencies = (
                   '187.00',
                   '187.10',
                   '187.20',
                   '187.30',
                   '187.40',
                   '187.50',
                   '187.60',
                   '187.70',
                   '187.80',
                   '187.90',
                   '188.00',
                   '188.10',
                   '188.20',
                   '188.30',
                   '188.40',
                   '188.50',
                   '188.60',
                   '188.70',
                   '188.80',
                   '188.90',
                   '189.00',
                   '189.10',
                   '189.20',
                   '189.30',
                   '189.40',
                   '189.50',
                   '189.60',
                   '189.70',
                   '189.80',
                   '189.90',
                   '190.00',
                   '190.10',
                   '190.20',
                   '190.30',
                   '190.40',
                   '190.50',
                   '190.60',
                   '190.70',
                   '190.80',
                   '190.90',
                   '191.00',
                   '192.00',
                   '192.05',
                   '192.10',
                   '192.15',
                   '192.20',
                   '192.25',
                   '192.30',
                   '192.35',
                   '192.40',
                   '192.45',
                   '192.50',
                   '192.55',
                   '192.60',
                   '192.65',
                   '192.70',
                   '192.75',
                   '192.80',
                   '192.85',
                   '192.90',
                   '192.95',
                   '193.00',
                   '193.05',
                   '193.10',
                   '193.15',
                   '193.20',
                   '193.25',
                   '193.30',
                   '193.35',
                   '193.40',
                   '193.45',
                   '193.50',
                   '193.55',
                   '193.60',
                   '193.65',
                   '193.70',
                   '193.75',
                   '193.80',
                   '193.85',
                   '193.90',
                   '193.95',
                   '194.00',
                   '194.05',
                   '194.10',
                   '194.15',
                   '194.20',
                   '194.25',
                   '194.30',
                   '194.35',
                   '194.40',
                   '194.45',
                   '194.50',
                   '194.55',
                   '194.60',
                   '194.65',
                   '194.70',
                   '194.75',
                   '194.80',
                   '194.85',
                   '194.90',
                   '194.95',
                   '195.00',
                   '195.05',
                   '195.10',
                   '195.15',
                   '195.20',
                   '195.25',
                   '195.30',
                   '195.35',
                   '195.40',
                   '195.45',
                   '195.50',
                   '195.55',
                   '195.60',
                   '195.65',
                   '195.70',
                   '195.75',
                   '195.80',
                   '195.85',
                   '195.90',
                   '195.95',
                   '196.00' )
    # in nanometers
    dwdm_wavelengths = (
                   '1603.17',
                   '1602.31',
                   '1601.46',
                   '1600.60',
                   '1599.75',
                   '1598.89',
                   '1598.04',
                   '1597.19',
                   '1596.34',
                   '1595.49',
                   '1594.64',
                   '1593.79',
                   '1592.95',
                   '1592.10',
                   '1591.26',
                   '1590.41',
                   '1589.57',
                   '1588.73',
                   '1587.88',
                   '1587.04',
                   '1586.20',
                   '1585.37',
                   '1584.53',
                   '1583.69',
                   '1582.85',
                   '1582.02',
                   '1581.18',
                   '1580.35',
                   '1579.52',
                   '1578.69',
                   '1577.86',
                   '1577.03',
                   '1576.20',
                   '1575.37',
                   '1574.54',
                   '1573.71',
                   '1572.89',
                   '1572.06',
                   '1571.24',
                   '1570.42',
                   '1569.59',
                   '1561.42',
                   '1561.01',
                   '1560.61',
                   '1560.20',
                   '1559.79',
                   '1559.39',
                   '1558.98',
                   '1558.58',
                   '1558.17',
                   '1557.77',
                   '1557.36',
                   '1556.96',
                   '1556.56',
                   '1556.15',
                   '1555.75',
                   '1555.34',
                   '1554.94',
                   '1554.54',
                   '1554.13',
                   '1553.73',
                   '1553.33',
                   '1552.93',
                   '1552.52',
                   '1552.12',
                   '1551.72',
                   '1551.32',
                   '1550.92',
                   '1550.52',
                   '1550.12',
                   '1549.72',
                   '1549.32',
                   '1548.92',
                   '1548.52',
                   '1548.12',
                   '1547.72',
                   '1547.32',
                   '1546.92',
                   '1546.52',
                   '1546.12',
                   '1545.72',
                   '1545.32',
                   '1544.92',
                   '1544.53',
                   '1544.13',
                   '1543.73',
                   '1543.33',
                   '1542.94',
                   '1542.54',
                   '1542.14',
                   '1541.75',
                   '1541.35',
                   '1540.95',
                   '1540.56',
                   '1540.16',
                   '1539.77',
                   '1539.37',
                   '1538.98',
                   '1538.58',
                   '1538.19',
                   '1537.79',
                   '1537.40',
                   '1537.00',
                   '1536.61',
                   '1536.22',
                   '1535.82',
                   '1535.43',
                   '1535.04',
                   '1534.64',
                   '1534.25',
                   '1533.86',
                   '1533.47',
                   '1533.07',
                   '1532.68',
                   '1532.29',
                   '1531.90',
                   '1531.51',
                   '1531.12',
                   '1530.73',
                   '1530.33',
                   '1529.94',
                   '1529.55' )
    dwdm_channels = (
                   '18700',
                   '18710',
                   '18720',
                   '18730',
                   '18740',
                   '18750',
                   '18760',
                   '18770',
                   '18780',
                   '18790',
                   '18800',
                   '18810',
                   '18820',
                   '18830',
                   '18840',
                   '18850',
                   '18860',
                   '18870',
                   '18880',
                   '18890',
                   '18900',
                   '18910',
                   '18920',
                   '18930',
                   '18940',
                   '18950',
                   '18960',
                   '18970',
                   '18980',
                   '18990',
                   '19000',
                   '19010',
                   '19020',
                   '19030',
                   '19040',
                   '19050',
                   '19060',
                   '19070',
                   '19080',
                   '19090',
                   '19100',
                   '19200',
                   '19205',
                   '19210',
                   '19215',
                   '19220',
                   '19225',
                   '19230',
                   '19235',
                   '19240',
                   '19245',
                   '19250',
                   '19255',
                   '19260',
                   '19265',
                   '19270',
                   '19275',
                   '19280',
                   '19285',
                   '19290',
                   '19295',
                   '19300',
                   '19305',
                   '19310',
                   '19315',
                   '19320',
                   '19325',
                   '19330',
                   '19335',
                   '19340',
                   '19345',
                   '19350',
                   '19355',
                   '19360',
                   '19365',
                   '19370',
                   '19375',
                   '19380',
                   '19385',
                   '19390',
                   '19395',
                   '19400',
                   '19405',
                   '19410',
                   '19415',
                   '19420',
                   '19425',
                   '19430',
                   '19435',
                   '19440',
                   '19445',
                   '19450',
                   '19455',
                   '19460',
                   '19465',
                   '19470',
                   '19475',
                   '19480',
                   '19485',
                   '19490',
                   '19495',
                   '19500',
                   '19505',
                   '19510',
                   '19515',
                   '19520',
                   '19525',
                   '19530',
                   '19535',
                   '19540',
                   '19545',
                   '19550',
                   '19555',
                   '19560',
                   '19565',
                   '19570',
                   '19575',
                   '19580',
                   '19585',
                   '19590',
                   '19595',
                   '19600' )
    # designed by a series of committees??
    dwdm_old_channels = (
                   '64',
                   '63',
                   '62',
                   '61',
                   'L8',
                   '60',
                   '59',
                   '58',
                   '57',
                   'L7',
                   '56',
                   '55',
                   '54',
                   '53',
                   'L6',
                   '52',
                   '51',
                   '50',
                   '49',
                   'L5',
                   'L9',
                   'L4',
                   '48',
                   '47',
                   '46',
                   '45',
                   'L3',
                   '44',
                   '43',
                   '42',
                   '41',
                   'L2',
                   '40',
                   '39',
                   '38',
                   '37',
                   'L1',
                   '36',
                   '35',
                   '34',
                   '33',
                   '32',
                   '',
                   '31',
                   '',
                   '30',
                   '',
                   '29',
                   '',
                   'C8',
                   '',
                   '28',
                   '',
                   '27',
                   '',
                   '26',
                   '',
                   '25',
                   '',
                   'C7',
                   '',
                   '24',
                   '',
                   '23',
                   '',
                   '22',
                   '',
                   '21',
                   '',
                   'C6',
                   '',
                   '20',
                   '',
                   '19',
                   '',
                   '18',
                   '',
                   '17',
                   '',
                   'C5',
                   '',
                   'C9',
                   '',
                   'C4',
                   '',
                   '16',
                   '',
                   '15',
                   '',
                   '14',
                   '',
                   '13',
                   '',
                   'C3',
                   '',
                   '12',
                   '',
                   '11',
                   '',
                   '10',
                   '',
                   '09',
                   '',
                   'C2',
                   '',
                   '08',
                   '',
                   '07',
                   '',
                   '06',
                   '',
                   '05',
                   '',
                   'C1',
                   '',
                   '04',
                   '',
                   '03',
                   '',
                   '02',
                   '',
                   '01' )
    # Digits that are appended to the end of a part number
    dwdm_pn_suffixes = (
                   '64',
                   '63',
                   '62',
                   '61',
                   '80',
                   '60',
                   '59',
                   '58',
                   '57',
                   '79',
                   '56',
                   '55',
                   '54',
                   '53',
                   '78',
                   '52',
                   '51',
                   '50',
                   '49',
                   '77',
                   '82',
                   '76',
                   '48',
                   '47',
                   '46',
                   '45',
                   '75',
                   '44',
                   '43',
                   '42',
                   '41',
                   '74',
                   '40',
                   '39',
                   '38',
                   '37',
                   '73',
                   '36',
                   '35',
                   '34',
                   '33',
                   '32',
                   '',
                   '31',
                   '',
                   '30',
                   '',
                   '29',
                   '',
                   '72',
                   '',
                   '28',
                   '',
                   '27',
                   '',
                   '26',
                   '',
                   '25',
                   '',
                   '71',
                   '',
                   '24',
                   '',
                   '23',
                   '',
                   '22',
                   '',
                   '21',
                   '',
                   '70',
                   '',
                   '20',
                   '',
                   '19',
                   '',
                   '18',
                   '',
                   '17',
                   '',
                   '69',
                   '',
                   '81',
                   '',
                   '68',
                   '',
                   '16',
                   '',
                   '15',
                   '',
                   '14',
                   '',
                   '13',
                   '',
                   '67',
                   '',
                   '12',
                   '',
                   '11',
                   '',
                   '10',
                   '',
                   '09',
                   '',
                   '66',
                   '',
                   '08',
                   '',
                   '07',
                   '',
                   '06',
                   '',
                   '05',
                   '',
                   '65',
                   '',
                   '04',
                   '',
                   '03',
                   '',
                   '02',
                   '',
                   '01' )
    cdwm_wavelengths = (
                   '1271.00',
                   '1291.00',
                   '1311.00',
                   '1331.00',
                   '1351.00',
                   '1371.00',
                   '1431.00',
                   '1451.00',
                   '1471.00',
                   '1491.00',
                   '1511.00',
                   '1531.00',
                   '1551.00',
                   '1571.00',
                   '1591.00',
                   '1611.00' )
    cwdm_channels = (
                   '1270',
                   '1290',
                   '1310',
                   '1330',
                   '1350',
                   '1370',
                   '1430',
                   '1450',
                   '1470',
                   '1490',
                   '1510',
                   '1530',
                   '1550',
                   '1570',
                   '1590',
                   '1610' )
    # Digits that are appended to the end of a part number
    cwdm_pn_suffixes = (
                   '83',
                   '84',
                   '85',
                   '86',
                   '87',
                   '88',
                   '89',
                   '90',
                   '91',
                   '92',
                   '93',
                   '94',
                   '95',
                   '96',
                   '97',
                   '98' )
